Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I am honestly confused beyond belief about my package that I have installed for FFMPEG. It is, according to Synaptic, version:

4:0.8.1-1really0u1

For some reason, I feel like this is not the version that would come in the repositories and I feel like another PPA that I may have used installed a wrong version. I believe it was the VLC PPA for nightly builds.

Can anyone who does not have this PPA on their system tell me what version of FFMPEG they are running?

share|improve this question
add comment

2 Answers 2

up vote 4 down vote accepted

Yours is a PPA version, which is most probably similar to the official version. See below, from Precise (Ubuntu 12.04):

$ dpkg --list | grep ffmpeg
ii  ffmpeg                                 4:0.8.1-0ubuntu1                        
Multimedia player, server, encoder and transcoder (transitional package)

$ apt-cache policy ffmpeg
ffmpeg:
  Installed: 4:0.8.1-0ubuntu1
  Candidate: 4:0.8.1-0ubuntu1

$ ffmpeg

ffmpeg version 0.8.1-4:0.8.1-0ubuntu1, Copyright (c) 2000-2011 the Libav developers
  built on Mar 22 2012 05:09:06 with gcc 4.6.3

.....

To reinstall the official version over the PPA version, you can either use the ppa-purge script (install that first!), or if you have already deleted the PPA, use

sudo apt-get install ffmpeg=4:0.8.1-0ubuntu1

You may have to throw a --reinstall switch in there if it fails.

share|improve this answer
    
My reason for wanting the package that you have is because the really0u1 version is terrible with dependencies of other programs. I checked Synaptic after I deleted the VLC PPA, and now it reads version "0ubuntu1", but using FFMPEG in command line reads "really0u1"....Any thoughts? This did answer my question, so I'll upvote and accept, but if you could help me with this by chance that would be awesome. –  Ryan McClure Jun 1 '12 at 21:27
    
Just removing the PPA won't do it, you need to replace it with the "official" version. See edits towards bottom of answer –  izx Jun 1 '12 at 21:33
    
I gave what you had mentioned in the edit a try. It reinstalled (had to use --reinstall), but it still when I use it in Terminal reads ffmpeg version 0.8.1-4:0.8.1-1really0u1 –  Ryan McClure Jun 1 '12 at 21:40
    
/usr/bin/ffmpeg give you the same version? –  izx Jun 1 '12 at 21:42
2  
Just trying to point out that removing a transitional package won't remove the ffmpeg binary that was previously installed. I'd remove libav-tools if installed, then re-install. Or not use "ffmpeg" command at all –  doug Jun 1 '12 at 22:10
show 7 more comments

In addition to izx's solution of installing a specific version you can always revert a package to the distribution by tacking on the release at the end, like so:

sudo apt-get install ffmpeg/precise
share|improve this answer
    
Never heard of that trick. It may not have worked for me specifically, but I'll have to keep that in mind for the future. Thanks Jorge! –  Ryan McClure Jun 1 '12 at 23:37
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.